Subject: bug#39994: 27.0.90; Broken image-converter probe for imagemagick

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 03 Aug 2020 09:15:42 +0200

Juri Linkov <[email-masked]> writes:

>>> 3. Visiting an image file from an archive signals the error
>>>
>>>   Cannot display image: (IMAGE-FORMAT should be a symbol like ‘image/png’)
>>
>> Do you have a test case for this?
>
> The test case is to zip a png file and a webp file.
> Then visiting a png file in the archive displays the image,
> whereas visiting a webp file signals the error:
>
>   "Unknown image type; consider switching ‘image-use-external-converter’ on"
>
> But the value of 'image-use-external-converter' is already 't'.

I've now fixed the message (there may be image formats even the external
converter can't do, and in that case the message was wrong), and I also
fixed it so that it works (i.e., you can now visit .webp files from .zip
files).

> PS: Also 'image-next-file' currently ignores webp files in Dired-mode.

Fixed now.  :-)

So I think everything here has been fixed (mostly), so I'm closing this
bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no